cURL
curl --request POST \
--url https://api.example.com/api/ai/v1/kb \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Customer service knowledgebase",
"description": "<string>",
"permission": "organization",
"type": "standard",
"recall": {
"topK": 10,
"score": 0.5
},
"parserConfig": {
"chunkSize": 1000,
"chunkOverlap": 100,
"delimiter": "; , ."
},
"integrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"extKnowledgebaseId": "<string>",
"copilotModel": {
"copilotId": "xxxx",
"modelType": "text-embedding",
"model": "text-embedding-v4"
}
}
'import requests
url = "https://api.example.com/api/ai/v1/kb"
payload = {
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Customer service knowledgebase",
"description": "<string>",
"permission": "organization",
"type": "standard",
"recall": {
"topK": 10,
"score": 0.5
},
"parserConfig": {
"chunkSize": 1000,
"chunkOverlap": 100,
"delimiter": "; , ."
},
"integrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"extKnowledgebaseId": "<string>",
"copilotModel": {
"copilotId": "xxxx",
"modelType": "text-embedding",
"model": "text-embedding-v4"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: 'Customer service knowledgebase',
description: '<string>',
permission: 'organization',
type: 'standard',
recall: {topK: 10, score: 0.5},
parserConfig: {chunkSize: 1000, chunkOverlap: 100, delimiter: '; , .'},
integrationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
extKnowledgebaseId: '<string>',
copilotModel: {copilotId: 'xxxx', modelType: 'text-embedding', model: 'text-embedding-v4'}
})
};
fetch('https://api.example.com/api/ai/v1/kb', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
AI/v1
Post apiaiv1kb
POST
/
api
/
ai
/
v1
/
kb
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Knowledgebase
Integration ID of knowledge base system
Example:
"Customer service knowledgebase"
Knowledgebase Permission
Available options:
private, organization, public Example:
"organization"
Knowledgebase Type
Available options:
standard, external Example:
"standard"
Recall Options
Example:
{ "topK": 10, "score": 0.5 }
Parser Config
Example:
{
"chunkSize": 1000,
"chunkOverlap": 100,
"delimiter": "; , ."
}
Integration ID of knowledge base system
Copilot embedding model
Example:
{
"copilotId": "xxxx",
"modelType": "text-embedding",
"model": "text-embedding-v4"
}
Response
201 - undefined
⌘I